# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate getrandom

Name:           rust-getrandom
Version:        0.2.11
Release:        %mkrel 1
Summary:        Small cross-platform library for retrieving random data from system source
Group:          Development/Other
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/getrandom
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          getrandom-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop dependencies on compiler internals
Patch:          getrandom-fix-metadata.diff
BuildArch:      noarch
BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A small cross-platform library for retrieving random data from system
source.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/SECURITY.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+custom-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+custom-devel %{_description}

This package contains library source intended for building other packages which
use the "custom" feature of the "%{crate}" crate.

%files       -n %{name}+custom-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rdrand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rdrand-devel %{_description}

This package contains library source intended for building other packages which
use the "rdrand" feature of the "%{crate}" crate.

%files       -n %{name}+rdrand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# Some tests are failing in BS:
# Error { internal_code: 2147483654, description: "RDRAND: instruction not supported" }
%cargo_test -- -- \
  --skip common::test_diff \
  --skip common::test_small \
  --skip common::test_zero \
  --skip common::test_huge
%endif



%changelog
* Sat Dec 30 2023 wally <wally> 0.2.11-1.mga10
+ Revision: 2024514
- new version 0.2.11

* Sun Oct 09 2022 guillomovitch <guillomovitch> 0.2.7-2.mga9
+ Revision: 1895869
- rebuild to fix dependencies

* Sat Sep 24 2022 neoclust <neoclust> 0.2.7-1.mga9
+ Revision: 1892150
- New version 0.2.7

* Mon Mar 21 2022 umeabot <umeabot> 0.2.5-2.mga9
+ Revision: 1816491
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 guillomovitch <guillomovitch> 0.2.5-1.mga9
+ Revision: 1787622
- new version 0.2.5

* Sun Feb 20 2022 guillomovitch <guillomovitch> 0.2.4-1.mga9
+ Revision: 1781713
- imported package rust-getrandom


* Wed Feb 16 2022 Guillaume Rousse <guillomovitch@gmail.com> - 0.2.4-1
- Initial package
